PGAGetMutationType(3)

NAME
PGAGetMutationType - Returns the type of mutation used

INPUT PARAMETERS
ctx - context variable

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
int  PGAGetMutationType(ctx)
PGAContext *ctx

LOCATION
mutation.c

EXAMPLE
Example:
PGAContext *ctx;
int mutatetype;
:
mutatetype = PGAGetMutationType(ctx);
switch (mutatetype) {
case PGA_MUTATION_CONSTANT:
printf("Mutation Type = PGA_MUTATION_CONSTANT);
break;
case PGA_MUTATION_RANGE:
printf("Mutation Type = PGA_MUTATION_RANGE);
break;
case PGA_MUTATION_UNIFORM:
printf("Mutation Type = PGA_MUTATION_UNIFORM);
break;
case PGA_MUTATION_GAUSSIAN:
printf("Mutation Type = PGA_MUTATION_GAUSSIAN);
break;
case PGA_MUTATION_PERMUTE:
printf("Mutation Type = PGA_MUTATION_PERMUTE);
break;
}